.donation-panel {
    width: 100%;
    height: 100svh;
    background-color: black;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 0px 50px;
    position: fixed;
    z-index: 1000;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}

.donation-panel.active {
    opacity: 1;
    visibility: visible;
}

/* background */
.donation-panel .background {
    width: 100%;
    height: 100svh;
    background-color: #3943B7;
    background-image: url('/assets/img/artwork/banners/header/header-banner-9.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}

.background .background-video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.5;
}

.background .decoration {
    position: absolute;
    mix-blend-mode: overlay;
}

.background .decoration.one {
    width: clamp(150px, 25vw, 300px);
    height: auto;
    top: clamp(0px, 5vw, 50px);
    right: clamp(0px, 5vw, 100px);
}

.background .decoration.two {
    width: clamp(150px, 25vw, 300px);
    height: auto;
    top: 0;
    left: 0;
}

/* donation container */
.donation-panel .donation-container {
    width: auto;
    height: 100%;
    background-color: #0F0F0Fcd;
    backdrop-filter: blur(15px);
    display: flex;
    flex-direction: column;
    gap: 50px;
    align-items: center;
    justify-content: center;
    padding: 25px;
    border-left: solid 1px #16171a;
    border-right: solid 1px #16171a;
    position: relative;
}

.donation-container .qr-code {
    width: clamp(150px, 25vw, 250px);
    height: auto;
}

.donation-container .donation-content {
    width: 100%;
    max-width: 500px;
    height: auto;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.donation-content .donation-title {
    font-family: var(--font-primary-italic);
    font-weight: normal;
    font-size: clamp(32px, 8vw, 64px);
    color: #C7CBFF;
    text-align: center;
    line-height: 1.1;
}

.donation-content .donation-desc {
    padding: 0px 20px;
    font-family: var(--font-secondary-light);
    font-weight: normal;
    font-size: clamp(14px, 3vw, 16px);
    color: #C7CBFF;
    text-align: center;
}

/* btn */
.donation-container .support-btn {
    width: auto;
    height: auto;
    background-color: #3943B7;
    display: flex;
    gap: 15px;
    align-items: center;
    justify-content: center;
    padding: 15px 25px;
    border: 1px solid #5C67E9;
    border-radius: 50px;
    position: relative;
    overflow: hidden;
    text-decoration: none;
    transition: background-color .2s, transform .2s, border .3s;
    cursor: pointer;
}

.donation-container .support-btn:hover {
    background-color: #2C3494;
    border: solid 1px #4B54C0;
}

.support-btn .btn-label {
    font-family: var(--font-secondary);
    font-size: clamp(14px, 3vw, 16px);
    color: #D7DAFA;
    text-decoration: none;
    transition: .2s;
}

.donation-container .support-btn:hover .btn-label {
    color: #CDD1FF;
}

.support-btn .btn-icon {
    width: auto;
    height: 25px;
}

/* close btn */
.donation-container .close-btn {
    width: auto;
    height: auto;
    background-color: transparent;
    cursor: pointer;
    position: absolute;
    bottom: 25px;
    left: 50%;
    border: none;
    transform: translateX(-50%);
}

.close-btn .btn-label {
    font-family: var(--font-secondary);
    font-size: clamp(12px, 3vw, 14px);
    color: #8b8eb3;
    text-transform: lowercase;
    text-decoration: underline;
    text-underline-offset: 5px;
    transition: .2s;
}

.donation-container .close-btn:hover .btn-label {
    color: #C7CBFF;
}